# eric7.EricXML.TemplatesReader

Module implementing a class for reading an XML templates file.

### Global Attributes

None

### Classes

TemplatesReader | Class for reading an XML tasks file.

### Functions

None

## TemplatesReader

Class for reading an XML tasks file.

### Derived from

XMLStreamReaderBase

### Class Attributes

supportedVersions

### Class Methods

None

### Methods

TemplatesReader | Constructor
__readTemplate | Private method to read the template definition.
__readTemplateGroup | Private method to read a template group.
readXML | Public method to read and parse the XML document.

### Static Methods

None

#### TemplatesReader (Constructor)

TemplatesReader(device, viewer)

Constructor

device
  reference to the I/O device to read from (QIODevice)
viewer
  reference to the template viewer object (TemplateViewer)

#### TemplatesReader.__readTemplate

__readTemplate()

Private method to read the template definition.

#### TemplatesReader.__readTemplateGroup

__readTemplateGroup()

Private method to read a template group.

#### TemplatesReader.readXML

readXML()

Public method to read and parse the XML document.

Up